public bool UpdateToClippingPlane(Geometry.Plane plane, double uMagnitude, double vMagnitude, IEnumerable<Guid> clippedViewportIds, ObjectAttributes attributes) { List<Guid> ids = new List<Guid>(clippedViewportIds); Guid[] clippedIds = ids.ToArray(); int count = clippedIds.Length; if (count < 1) return false; IntPtr pConstAttributes = (attributes == null) ? IntPtr.Zero : attributes.ConstPointer(); return UnsafeNativeMethods.CRhinoObjectPairArray_UpdateResult4(m_parent.m_pObjectPairArray, m_index, ref plane, uMagnitude, vMagnitude, count, clippedIds, pConstAttributes); }
public bool UpdateToAngularDimension(Geometry.AngularDimension dimension, ObjectAttributes attributes) { IntPtr pConstDimension = dimension.ConstPointer(); IntPtr pConstAttributes = (attributes == null) ? IntPtr.Zero : attributes.ConstPointer(); return UnsafeNativeMethods.CRhinoObjectPairArray_UpdateResult7(m_parent.m_pObjectPairArray, m_index, pConstDimension, pConstAttributes); }
public bool UpdateToPointCloud(Rhino.Geometry.PointCloud cloud, ObjectAttributes attributes) { IntPtr pCloud = cloud.ConstPointer(); IntPtr pConstAttributes = (attributes == null) ? IntPtr.Zero : attributes.ConstPointer(); return UnsafeNativeMethods.CRhinoObjectPairArray_UpdateResult2(m_parent.m_pObjectPairArray, m_index, pCloud, pConstAttributes); }